@import '../../../assets/css/variables';
.regTypeBoxMain {
	display: inline-block;
	width: 100%;
	text-align: center;
	margin-top: 8px;
	.regTypeBoxTop {
		display: block;
		width: 100%;
		max-width: 360px;
		margin: 0 auto;
		@include below-sm(){
			max-width: 235px;
		}
		.regTypeBtnInner {
			display: block;
			margin-bottom: 30px;
			width: 100%;
			overflow: hidden;
			@include below-sm(){
				margin-bottom: 20px;
			}
			input[type="radio"] {
				position: absolute;
				right: 0;
				top: 0;
				width: 0;
				height: 0;
				z-index: -1;
				opacity: 0;
				font-size: 0;
				&:checked {
					~ {
						.regTypeUserIcon {
							background-color: $green-color;
							color: $white-color;
						}
						.regTypeUserTitle {
							color: $green-color;
						}
					}
				}
			}
			.regTypeUserIcon {
				position: relative;
				cursor: pointer;
				z-index: 2;
				-webkit-user-select: none;
				-moz-user-select: none;
				-ms-user-select: none;
				user-select: none;
				display: -webkit-box;
				display: -ms-flexbox;
				display: flex;
				-ms-flex-wrap: wrap;
				flex-wrap: wrap;
				-webkit-box-align: center;
				-ms-flex-align: center;
				align-items: center;
				-webkit-box-pack: center;
				-ms-flex-pack: center;
				justify-content: center;
				-webkit-box-orient: vertical;
				-webkit-box-direction: normal;
				-ms-flex-direction: column;
				flex-direction: column;
				margin: 0 auto;
				width: 140px;
				height: 140px;
				border: 1px solid #D8D8D8;
				background-color: $white-color;
				color: $green-color;
				border-radius: 50%;
				transition: all .5s ease-in-out;				
				-webkit-border-radius: 50%;
				-moz-border-radius: 50%;
				-ms-border-radius: 50%;
				-o-border-radius: 50%;
				-webkit-transition: all .5s ease-in-out;
				-moz-transition: all .5s ease-in-out;
				-ms-transition: all .5s ease-in-out;
				-o-transition: all .5s ease-in-out;
				@include below-sm(){
					width: 100px;
					height: 100px;
				}
				svg{
					@include below-sm(){
						max-width: 70px;
						max-height: 60px;
					}
				}
				&:hover{
					border-color: $green-color;
				}
			}
			.regTypeUserTitle {
				font-size: 19px;
				font-weight: 500;
				color: #282828;
				margin-top: 10px;
				display: inline-block;
				@include below-sm(){
					font-size: 16px;
				}
			}
		}
	}
	.regTypeBoxBottom {
		display: inline-block;
		width: 100%;
		margin-bottom: 10px;
		@include below-sm(){
			margin-bottom: 0;
		}
		.btn {
			min-width: 110px;
			height: 40px;
		}
	}
}
.registerTypeModal {
	.modal-sub-title {
		margin-top: 5px;
		@include below-sm(){
			margin-bottom: 20px;
		}
	}
}
.registerFormModal{
	padding-top: 30px;
}

:host{
	::ng-deep{
		p-messages {
			.p-message-info {				
				.p-message-wrapper {
					font-size: 14px;
					padding: 8px 15px;
					@include below-md() {
						font-size: 12px;
					}
					.p-message-detail {
						margin: 0;
					}
					.p-message-icon {
						display: none;
					}
				}
			}
		}
	}
}